Subject: [bug#57608] Upstreaming KDE Plasma and rest of packages

From: Marius Bakke <[email-masked]>
Date: Mon, 21 Nov 2022 22:11:34 +0100

phodina <[email-masked]> skriver:

> So here are the patches. There are in tar as there is 171 of them :-)
>
> - The last patch is for building a desktop if you want to test it and don't want to wait for the gnome desktop to be built.
>
> - Package kwin-effects-yet-another-magic-lamp​ unfortunately broke due to update of kwin​ to 5.25.5.
>
> - The other package is kapidox​ . There I tried to remove the phase `sanity-check` but there is still missing gv​ module
>
> - Package discover​ runs but can't connect to whatever online so you don't get SW listed to install
>
> - Some good news - kalendar​, itinerary​, kongress​ and other apps seem to work fine
>
> - The deal breaker is that Plasma DE does not work ... yet. X11 displays black screen and wayland does not even start. I have dedicated machine where I intend to have a look into the issue by strace, going through logs etc.
>
> - I also tried to update krita to 5.1.1 and ran out of space in tmpfs - it ate about 30 GB and failed ~90% of the build on clean machine with 32 GB of RAM. Is there a way to run build in different location - on the SSD/NVME/HDD?
>
> I'll keep the branch plasma on github stable [1].

Awesome work Petr.  :-)

I went through the branch and applied most of the patches.  With a few
changes:

* shortened multi-line URLs
* added (file-name ...) for git sources
* removed knetworkmanager -- AFAICT it is identical to networkmanager-qt
* switched to git-fetch for packages that were downloading tarballs from
  the KDE GitLab.  This is because such autogenerated tarballs are not
  stable: they may get regenerated with a different hash.
* dropped the !! commits
* Minor tweaks to synopses and descriptions
* A few commits had a random edit to a different package: I reverted
  those edits.  An example:
  https://github.com/phodina/guix/commit/5eaa9c49a78eed419db7847668a55c079bad5b71
* Removed use of direct variable references, i.e. #$qtbase.  Always use
  (search-input-file ...), (search-input-directory ...) or as a last
  resort #$(this-package-input "foo").
* Skipped commits that would trigger a lot of rebuilds, e.g. gpgme.
* Skipped cosmetic commits such as using G-expressions in Qt packages;
  mainly because of rebuilds, but also because they were not indented
  properly.  Some also introduced direct #$variable references.
* Dropped the plasma-desktop-service since it was not working for me.

For later reference, when adding patches, please add a sentence or two
at the top of the patch describing what it does.  I did not edit the
patches (except for a long file name), because I did not know what it
was for.  Presumably you did; future you will thank you!

Pushed to 'master' as fe3be8d5e0..82804298ad !